#ifndef	__WINCE_H

#ifdef	UNDER_CE

#if defined(WIN32_PLATFORM_PSPC) && (_WIN32_WCE >= 300)
#include	<aygshell.h>
#endif
#include	"winbase.h"

#ifndef	ZeroMemory
#define		ZeroMemory(ptr,size)		memset(ptr,0,size)
#define		CopyMemory(ptr1,ptr2,size)	memcpy(ptr1,ptr2,size)

#define		ASSERT(a)
#endif
#define		_ASSERT(a)
#define		GdiFlush()
#define		FILE_FLAG_SEQUENTIAL_SCAN	0

#define		CE_SHARE_READ	0


#if defined(WIN32_PLATFORM_PSPC) && (_WIN32_WCE >= 300) 
#define	FULLSCREEN(hDlg) \
		{ \
		  SHINITDLGINFO shidi; \
		  shidi.dwMask = SHIDIM_FLAGS; \
		  shidi.dwFlags = SHIDIF_DONEBUTTON | SHIDIF_SIZEDLG; \
		  shidi.hDlg = hDlg; \
		  SHInitDialog(&shidi); \
		} 
#else
#define	FULLSCREEN(hDlg)
#endif

#define	RESTORECMDBAR		CreateCommandBar();

//#define		ArgV(i)		_T("")
//#define		ArgC()		0

BOOL	WritePrivateProfileString(LPCTSTR section,LPCTSTR entry,LPTSTR nValue,LPCTSTR lpszFileName);
BOOL	GetPrivateProfileString(LPTSTR section,LPCTSTR key,LPCTSTR def,LPTSTR ret,DWORD size,LPCTSTR fileName);
BOOL	GetPrivateProfileInt(LPTSTR section,LPCTSTR key,UINT size,LPCTSTR fileName);
void	CheckDlgButton(HWND hWnd,int id,UINT check);
int	IsDlgButtonChecked(HWND hWnd,int id);
#define	timeGetTime				GetTickCount
#define	Beep(freq,dur)
#define	FillMemory(ptr,size,c)			memset(ptr,c,size)

extern BOOL MoveToEx( HDC hdc, int X, int Y, LPPOINT lpPoint); 
extern BOOL LineTo( HDC hdc, int nXEnd, int nYEnd); 

extern HANDLE CreateFileCE(LPCTSTR lpFileName, DWORD dwDesiredAccess, DWORD dwShareMode, LPSECURITY_ATTRIBUTES lpSecurityAttributes, DWORD dwCreationDistribution, DWORD dwFlagsAndAttributes, HANDLE hTemplateFile ); 
extern HANDLE CreateFileForMappingCE(LPCTSTR lpFileName, DWORD dwDesiredAccess, DWORD dwShareMode, LPSECURITY_ATTRIBUTES lpSecurityAttributes, DWORD dwCreationDistribution, DWORD dwFlagsAndAttributes, HANDLE hTemplateFile ); 
extern HANDLE FindFirstFileCE( LPCTSTR lpFileName, LPWIN32_FIND_DATA lpFindFileData ); 

#define CheckDlgButton(hDlg, idButton, check)	((void)SendMessage(GetDlgItem(hDlg, idButton), BM_SETCHECK, (WPARAM)(int)(check), 0L))
#define IsDlgButtonChecked(hDlg, idButton)		((int)(DWORD)SendMessage(GetDlgItem(hDlg, idButton), BM_GETCHECK, 0L, 0L))
// FILE_MAP_COPY isn't supported in WinCe
#define FILE_MAP_COPY FILE_MAP_READ
// FILE_FLAG_SEQUENTIAL_SCAN isn't supported, either
//#define FILE_FLAG_SEQUENTIAL_SCAN FILE_FLAG_RANDOM_ACCESS 

#define	CheckBreakpoint(pc,b,c)		FALSE
#define	DisableDebugger()

#define	DEFAULT_GUI_FONT	SYSTEM_FONT

#else	/*UNDER_CE*/

#define	ArgV(i) __argv[i]
#define ArgC()  __argc

#define	StartCmdLine(s)

#define	CreateFileCE	CreateFile
#define	FindFirstFileCE	FindFirstFile
#define	CE_SHARE_READ	FILE_SHARE_READ

#define	FULLSCREEN(hDlg)
#define	RESTORECMDBAR

#endif

#endif
